Ante el nuevo macOS 10.15 Catalina, todo es expectación –pero NI es otra compañía que aconseja cautela momentánea a sus usuarios antes de tener todo listo…

Actualmente en versión de beta pública, el sistema operativo macOS 10.15 Catalina está al caer. El hecho cobra relevancia cuando hoy asistiremos a un evento especial de Apple que, presumiblemente, nos dejará una buena cantidad de nuevos productos. Y hoy parece ser también un momento adecuado para que la popular marca nos hable de las bondades del inminente macOS 10.15 Catalina, anunciado inicialmente para su liberación en algún momento de este Otoño de 2019.

Pero justo antes de la aparición de Tim Cook sobre el escenario, prevista para las 19:00h de hoy, desde Native Instruments se descuelgan con un comunicado de advertencia para sus usuarios: «No instales macOS 10.15 si estás utilizando productos de Native Instruments», afirman rotundamente. La marca alemana se suma así a una lista de precauciones tomadas por otros fabricantes, entre los que también figura Ableton previniendo sobre la incompatibilidad del nuevo macOS con su popular DAW Live 9, por ejemplo.

Mucho nos tememos que veremos una larga lista de grandes fabricantes sumándose a este tipo de advertencias. Pero es lo que tiene la fijación por el renovarse o morir…

macOS 10.15 Catalina causa problemas con productos de NI –y son lentejas

«Los productos de software y hardware de Native Instruments no son compatibles con macOS 10.15 Catalina (actualmente en versión beta)… No instales macOS 10.15 si estás utilizando productos de Native Instruments […] Actualmente, estamos realizando pruebas sistemáticas para ofrecer una compatibilidad total lo antes posible tras el lanzamiento oficial de macOS 10.15″, publicaban desde NI en su web de soporte el pasado 28 de Junio. Y es hoy cuando vuelven a reafirmarse en su advertencia, difundida vía newsletter a su base de usuarios.

Como quiera que algunas funcionalidades y código actualizado en el núcleo del sistema operativo originan problemas con los productos hardware y software de Native Instruments –y de otros fabricantes–, estamos en una típica situación forzada de lo que llamamos en España «son lentejas». Es decir, que difícilmente los desarrolladores de Apple cambiarán aquellos detonantes de dichos problemas, y tendrán que ser las compañías de terceras partes las que lancen parches que solventen las mencionadas situaciones de incompatibilidad.

Mucho nos tememos que veremos una larga lista de grandes fabricantes sumándose a este tipo de advertencias. Pero es lo que tiene la fijación por el renovarse o morir. Miedo nos da tan sólo imaginar la carga de trabajo que esto andará ocasionando en los equipos de desarrollo de dichas compañías. Y al final, todo quedará en un simple proceso transparente de actualizar a la versión X.XX…

Más sobre problemas de compatibilidad con macOS en NI | Web oficial

OFERTAS DE NUESTROS PATROCINADORES